com.brightcove.player.model

## Enum Video.ProjectionFormat

- java.lang.Object
- - java.lang.Enum<Video.ProjectionFormat>
  - - com.brightcove.player.model.Video.ProjectionFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Video.ProjectionFormat>
  Enclosing class:
    Video

      public static enum Video.ProjectionFormat
      extends java.lang.Enum<Video.ProjectionFormat>

  The list of known projection formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUIRECTANGULAR` Standard equi-rectangular 360 degree projection format.
    `NORMAL` Normal projection format.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name` The human readable name of the format.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Video.ProjectionFormat` | `parse(java.lang.Object value)` Matches the given value to list of known projection format names.
    `static Video.ProjectionFormat` | `parse(java.lang.Object value, Video.ProjectionFormat defaultProjectionFormat)` Matches the given value to list of known projection format names.
    `java.lang.String` | `toString()` Overrides the base implementation to return the name of the format as string.
    `static Video.ProjectionFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Video.ProjectionFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          @SerializedName(value="NORMAL")
          public static final Video.ProjectionFormat NORMAL

      Normal projection format.

    - #### EQUIRECTANGULAR

          @SerializedName(value="EQUIRECTANGULAR")
          public static final Video.ProjectionFormat EQUIRECTANGULAR

      Standard equi-rectangular 360 degree projection format.

  - ### Field Detail

    - #### name

          public final java.lang.String name

      The human readable name of the format.

  - ### Method Detail

    - #### values

          public static Video.ProjectionFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Video.ProjectionFormat c : Video.ProjectionFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Video.ProjectionFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides the base implementation to return the name of the format as string.
      Overrides:
        `toString` in class `java.lang.Enum<Video.ProjectionFormat>`

    - #### parse

          @Nullable
          public static Video.ProjectionFormat parse(@Nullable
                                                               java.lang.Object value,
                                                               @Nullable
                                                               Video.ProjectionFormat defaultProjectionFormat)

      Matches the given value to list of known projection format names.
      Parameters:
        `value` - the value to be matches.
        `defaultProjectionFormat` - the value that will be returned if the given value does not match any of the known projection format names.
      Returns:
        defaultProjectionFormat or reference to the matching video format.

    - #### parse

          @Nullable
          public static Video.ProjectionFormat parse(@Nullable
                                                               java.lang.Object value)

      Matches the given value to list of known projection format names.
      Parameters:
        `value` - the value to be matches.
      Returns:
        null or reference to the matching projection format.